Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPField

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPMember`, `ICPPVariable`, `IField`, `IVariable`

All Known Subinterfaces:
  `ICPPFieldTemplate`

public interface ICPPField extends IField, ICPPMember, ICPPVariable

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPField[]`
`EMPTY_CPPFIELD_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMember

`v_private, v_protected, v_public`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IField

`EMPTY_FIELD_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFieldPosition()`
Returns the position of this field within its class owner's declared fields, or -1 if the position cannot be determined.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMember

`getClassOwner, getType, getVisibility, isStatic`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPVariable

`isConstexpr, isExternC, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IField

`getCompositeTypeOwner`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getInitialValue, getType, isAuto, isExtern, isRegister, isStatic`

## Field Details

### EMPTY_CPPFIELD_ARRAY

static final ICPPField[] EMPTY_CPPFIELD_ARRAY

## Method Details

### getFieldPosition

int getFieldPosition()
Returns the position of this field within its class owner's declared fields, or -1 if the position cannot be determined.

Since:
  6.2